SKB_PADTO(9)

NAME
skb_padto - pad an skbuff up to a minimal size

SYNOPSIS

struct sk_buff * skb_padto (struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb buffer to pad

len minimal length

DESCRIPTION

Pads up a buffer to ensure the trailing bytes exist and are blanked. If the buffer already contains sufficient data it is untouched. Returns the buffer, which may be a replacement for the original, or NULL for out of memory - in which case the original buffer is still freed.